# NAS

The Network Attached Storage (NAS) is a device, that run an own processor and a bunch of disk (either SSDs or HDDs) and provides them as generic storage to other devices on a network.

In this case the NAS exists to provide bulk storage, as well as a local backup location for (important) data.

## Parts

|Part | Type | Reasoning |
|-----|------|-----------|
|["Terra-master F4-423"](https://www.terra-master.com/us/products/smallmedium-businesses-nas/f4-423.html)| board, processor, chassis and power supply | It's provides some nice hardware, with x86_64 processor in it, which allows to install an OS like TrueNAS on it.|
|[16GB of 2666MHz DDR4 RAM](https://www.crucial.com/memory/ddr4/ct2k8g4sfra266)|RAM|By default, the Terramaster only ships with 4GB, which is way to little for TrueNAS. 16GB because that's the max supported by the processor [according to Intel](https://www.intel.com/content/www/us/en/products/sku/212322/intel-celeron-processor-n5095-4m-cache-up-to-2-90-ghz/specifications.html).|
|2x [Crucial P2 250GB NVMe](https://www.crucial.com/ssd/p2/CT250P2SSD8)| NVMe | The original intend was to put ZIL and L2ARC on this drive, but currently the drives just host the TrueNAS OS.|
|4x [6TB WD Red Plus drives](https://www.westerndigital.com/products/internal-drives/wd-red-plus-sata-3-5-hdd#WD60EFZX) | HDD | These drives provide the bulk storage for the NAS and are rated as NAS drives [without SMR](https://en.wikipedia.org/w/index.php?title=Shingled_magnetic_recording&oldid=1088076284#History).|

## Setup

To install the additional parts, you'll have to open up the chassis. Then install the new RAM kit and NVMes as shown in the video below. Be aware, that you have to replace the already installed RAM module, which is not easily accessible. In order to reach it, you'll either need to remove the 4 screws visible on the board, where you install the NVMe or reach with your finger to the backside of the board.

<iframe width="100%" height="480" src="https://www.youtube-nocookie.com/embed/4LS7gbIB064" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

Further, in order to install TrueNAS, I recommend to remove the pre-installed USB drive from Terramaster installed on the inner side, that contains the Terramaster OS, unplug it and store it, in case you want to send back the device.

## Operating System

While originally the NAS was running TrueNAS Core in it, it was switched to TrueNAS Scale in order to benefit from the automated certificate Management in TrueNAS Scale and run on Let's Encrypt certificates.

<iframe width="100%" height="480" src="https://www.youtube-nocookie.com/embed/LM8lP513zI0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

## Power usage

In my tests with no, but just test workload, the average power usage of this NAS was 31W idle using TrueNAS Core, with peaks during usage to up to 39W when having disk activity. During boot up there were some further peaks, I didn't record any further. There is a "natural" boundary of 90w due to the included power supply.

## Disk Replacement

When it comes to replacing disks over time, there are multiple options available. Some [survey and opinions on the topic have been collected on Mastodon](https://microblog.shivering-isles.com/@sheogorath/110050900030144685).

