Koolbox
===

A mashup of various tools in a box to be a Kubernetes Toolbox, basically a K-oolbox. It provides basically all tools one needs to administrate Kubernetes clusters and simply runs itself as a container on your system using podman.

It follows the `XDG_*`-standards to isolate its configuration. It is built to not mess with your system config, means no shared `.ssh`, `.gnupg` or alike. What happens in the koolbox, stays in the koolbox.

Requirements
---

Have podman installed. And in best case running [Fedora Workstation](https://getfedora.org/en/workstation/) or [Silverblue](https://silverblue.fedoraproject.org/).

Installation
---

Run `earthly ./+install`. And if you want to build the container locally run `earthly ./+container`.

Usage
---

Switch to the gitops directory and run the command `koolbox` and you'll end up in the koolbox environment.

Motivation
---

The container and Kubernetes ecosystem is switching its  toolchain quite quickly. As a result these tools are all litered across the workstation. To make things worse, a lot of these tools are not properly packaged and therefore not signed or verified in any way. Not necessarily something you want to let loose on your home directory. The idea with koolbox is to keep the Kubernetes tools confied and easily removable using just containers.

Ideas & ToDos
---

- Move secrets into the system secret store using `secret-tool`
- Store secrets in `pass`
- Figure out how to properly pass smartcards & gnupg in general into the koolbox container
- Make CLI more universal for non-Fedora systems
